.intro-section {
    height: 100vh;

    display: grid;
    place-items: center;

    position: relative;
}

.intro-section__video {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -2;

    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.intro-section__video-filter {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;

    width: 100%;
    height: 100%;

    background: var(--green-gradient);
    mix-blend-mode: multiply;
}

.intro-section__content-wrapper {
    display: flex;
    align-items: flex-start;
    gap: 47px;
}

.intro-section__title {
    width: 920px;

    font-size: clamp(52px, 10vw, 160px);
    font-weight: 900;
    line-height: clamp(60px, 120%, 185px);
    color: var(--white);

    cursor: default;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.intro-section__text {
    padding-top: 40px;

    font-size: clamp(14px, 3vw, 28px);
    font-weight: 500;
    text-align: right;
    color: var(--white);

    cursor: default;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

@media screen and (max-width: 1440px) {
    .intro-section {
        padding: 0 20px;
    }

    .intro-section__title {
        width: 820px;
    }
}

@media screen and (max-width: 1024px) {
    .intro-section__title {
        width: 590px;
    }
}

@media screen and (max-width: 768px) {
    .intro-section__title {
        width: 435px;
    }

    .intro-section__text {
        padding: 0;
    }

    .intro-section__content-wrapper {
        flex-direction: column;
        gap: 20px;
    }

    .intro-section__video {
        display: none;
    }
}

@media screen and (max-width: 500px) {
    .intro-section {
        padding: 0;
    }

    .intro-section__title {
        width: 296px;
    }
}
